<?xml version="1.0" encoding="utf-8"?>
<androidx.appcompat.widget.LinearLayoutCompat xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    tools:context=".ui.activity.pet.BadgeDetailActivity">

    <include
        android:id="@+id/pet_badges_detail_top_bar"
        layout="@layout/layout_top_bar" />

    <View
        android:layout_width="wrap_content"
        android:layout_height="0dp"
        android:layout_weight="1" />

    <androidx.appcompat.widget.AppCompatImageView
        android:id="@+id/iv_pet_badges_detail_image"
        android:layout_width="340dp"
        android:layout_height="wrap_content"
        android:layout_gravity="center_horizontal"
        android:background="@drawable/icon_badges_unlock_bg_svg"
        android:minHeight="@dimen/dp_300"
        android:padding="@dimen/dp_50"
        android:src="@drawable/icon_day_1_devotee_unlock_svg" />

    <View
        android:layout_width="wrap_content"
        android:layout_height="0dp"
        android:layout_weight="1" />

    <com.abbidot.tracker.widget.TypefaceTextView
        android:id="@+id/tv_pet_badges_detail_state"
        style="@style/my_TextView_style_v2"
        android:layout_width="match_parent"
        android:text="@string/txt_congratulations"
        android:textSize="@dimen/textSize24"
        app:typeface="@string/roboto_bold_font" />

    <com.abbidot.tracker.widget.TypefaceTextView
        android:id="@+id/tv_pet_badges_detail_dec"
        style="@style/my_TextView_style_v2"
        android:layout_width="match_parent"
        android:layout_marginHorizontal="@dimen/dp_18"
        android:layout_marginTop="@dimen/dp_16"
        android:text="@string/txt_congratulations_tip"
        android:textColor="@color/select_color3"
        android:textSize="@dimen/textSize14"
        app:lineHeight="@dimen/textSize16"
        app:typeface="@string/roboto_regular_font" />

    <com.abbidot.tracker.widget.TypefaceTextView
        android:id="@+id/tv_pet_badges_detail_unlock_time"
        style="@style/my_TextView_style_v2"
        android:layout_width="match_parent"
        android:layout_marginTop="@dimen/dp_16"
        android:text="Jan 10, 2024"
        android:textColor="@color/block_color2"
        android:textSize="@dimen/textSize14"
        app:typeface="@string/roboto_regular_font" />

    <View
        android:layout_width="wrap_content"
        android:layout_height="0dp"
        android:layout_weight="1" />

    <com.abbidot.tracker.widget.TypefaceButton
        android:id="@+id/btn_pet_badges_detail_ok"
        style="@style/my_match_RoundRect_Button_style"
        android:layout_marginHorizontal="@dimen/dp_18"
        android:layout_marginTop="@dimen/dp_1"
        android:layout_marginBottom="@dimen/dp_1"
        android:text="@string/tracker_manage_set_add_family_back"
        app:qmui_radius="@dimen/dp_56"
        app:typeface="@string/roboto_bold_font" />

    <View
        android:layout_width="wrap_content"
        android:layout_height="0dp"
        android:layout_weight="1" />
</androidx.appcompat.widget.LinearLayoutCompat>